Как обновить joomla! 1.5 до joomla! 3.5

Как обновить joomla! 1.5 до joomla! 3.5

Как обновить joomla! 1.5 до joomla! 3.5

Я расскажу Вам как это сделать.

Перенос контента и пользователей из Joomla! 1.5 в Joomla! 3.5

Как обновить joomla! 1.5 до joomla! 3.5 ШАГ 1

Для переноса и обновления Joomla 1.5 нам понадобится компонент J2XML.

  1. Загружаем и сохраняем на компьютере последнюю версию компонента J2XML 1.5 по ссылке.
  2. Заходим в административную часть сайта Joomla! 1.5 под логином и паролем администратора.
  3. Открываем меню Extension Manager. Нажимаем кнопку Обзор, а затем переходим к папке, в которую вы скачали J2XML 1.5. Выделите файл com_j2xml-1.5.x.xx.zip, а затем нажмите кнопку Открыть.
  4. Нажимаем File & Install Загрузить. Подождите немного, пока Joomla загрузит и установит компонент.

com_j2xml15_1

Экспорт пользователей и статей

  • Запустите компонент J2XML

com_j2xml15_2

  • Нажмите на кнопку «Export the structure«. Первый файл XML будет создан для хранения разделов и категорий.

com_j2xml15_4

  • Export users. Файл XML будет создан для хранения данных пользователей.

com_j2xml15_5

  • Export block 1. Файл XML будет создан для хранения первого блока статей.

com_j2xml15_6

Повторите пункт 4 для каждого блока. Каждый блок имеет 1000 статей. Если у вас есть проблемы, вы можете изменить размер блока или отключить экспорт изображений со страницы Параметры.

com_j2xml15_7

ШАГ 2 — Как обновить joomla! 1.5 до joomla! 3.5

Установите J2XML для Joomla! 3.0

  1. Загрузите последнюю версию J2XML v3.1.1 . Сохраните файл на вашем компьютере.
  2. Загрузите последнюю версию J2XML импортера 1.5 v . Сохраните файл на вашем компьютере.
  3. Перейдите на страницу входа в систему администратора для вашего Joomla! 2.5 веб-сайт.Войти под своим именем пользователя и пароля администратора.
  4. Открыть Extension Manager. Нажмите кнопку Обзор, а затем перейдите к папке, в которую вы скачали J2XML 3. Выделите файл j2xml-3.xx, а затем нажмите кнопку Открыть.

com_j2xml30_1

5. Нажмите кнопку Загрузить и установить. Подождите пока Joomla загрузит и установит компонент.

6. Нажмите кнопку Обзор, а затем перейдите в папку, где вы распаковали J2XML импортер 1.5. Выделите файл plg_j2xml_importer15-3.xxzip, а затем нажмите кнопку Открыть.

7. Нажмите кнопку Загрузить и установить. Подождите пока Joomla загрузит и установит плагин.

8. Откройте Менеджер плагинов. Фильтр по имени J2XML и включите плагин J2XML Импортер 1.5

com_j2xml30_5

Заметка:

J2XML Импортер 1.5 использует расширение XSL. Если у вас есть какие — либо проблемы ,посетите страницу PHP: Руководство по XSL.

Подготовим Joomla! 3.

  1. Запустите J2XML

com_j2xml30_2

Нажмите кнопку Параметры. Выберите вкладку Содержание и установите Keep Yes.

com_j2xml25_3

Выберите вкладку Пользователи и установите Keep Yes.

Импорт пользователей и контента

  1. Нажмите кнопку Обзор, а затем перейдите к папке, в которой сохранен файл XML с данными пользователей. Выделите файл, а затем нажмите кнопку Открыть.
  2. Нажмите кнопку Импорт. Подождите, пока J2XML загрузятся и импортируются данные.

com_j2xml25_3

  • Повторите эту процедуру, чтобы импортировать всю структуру.
  • Повторяйте, пока все файлы не будут импортированы.

Заметка

Если появляется сообщение об ошибке «Формат файла неизвестен. Невозможно импортировать файл.» или пустая страница, вы, вероятно, пытались импортировать слишком большой файл. Пожалуйста, попробуйте экспортировать статьи без картинок. Вы можете скопировать их во второй раз через FTP.

2 thoughts on “Как обновить joomla! 1.5 до joomla! 3.5

  1. Название статьи «Перенос контента и пользователей из Joomla! 1.5 в Joomla! 3.5», описание сначала идет для Joomla! 1.5, а в п.3 2го шага Joomla! 2.5 появлется «Перейдите на страницу входа в систему администратора для вашего Joomla! 2.5 веб-сайт.Войти под своим именем пользователя и пароля администратора.». Соответственно файл файл j2xml-3.xx не загружается в joomla! 1.5.

    1. загружать нужно файл j2xml версии движка 1.5 на версию 3.5, а Вы пишете наоборот : «файл j2xml-3.xx не загружается в joomla! 1.5.» — зачем файл третьей версии движка (на который мы по логике всё переносим) загружать в более старую версию 1.5?
      А так да — есть нестыковка с версией 2.5 в статье

Leave a Comment

Ваш e-mail не будет опубликован. Обязательные поля помечены *